Bug 1180235 (CVE-2015-0206)

Summary: CVE-2015-0206 openssl: DTLS memory leak in dtls1_buffer_record
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, cdewolf, chrisw, dandread, darran.lofthouse, erich, grocha, jason.greene, jawilson, jclere, jdoyle, john.haxby, lgao, myarboro, nlevinki, oguzyilmaz, pgier, pslavice, rfortier, rhs-bugs, rsvoboda, tmraz, vbellur, vtunka, weli, yqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150108,reported=20150108,source=upstream,cvss2=5/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-all/openssl=affected,rhel-5/openssl=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl=affected,rhel-6/openssl098e=notaffected,rhel-7/openssl=affected,rhel-7/openssl098e=notaffected,eap-6/openssl=notaffected,jbews-1/openssl=notaffected,jbews-2/openssl=notaffected,rhes-2.1/openssl=affected,cwe=CWE-401[auto]
Fixed In Version: OpenSSL 1.0.1k, OpenSSL 1.0.0p Doc Type: Bug Fix
Doc Text:
A memory leak flaw was found in the way the dtls1_buffer_record() function of OpenSSL parsed certain DTLS messages. A remote attacker could send multiple specially crafted DTLS messages to exhaust all available memory of a DTLS server.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1181013, 1181015, 1181016, 1181017, 1181018    
Bug Blocks: 1180194    

Description Vasyl Kaigorodov 2015-01-08 16:48:48 UTC
OpenSSL released security advisory [1] which fixes the below issue:

A memory leak can occur in the dtls1_buffer_record function under certain
conditions. In particular this could occur if an attacker sent repeated DTLS
records with the same sequence number but for the next epoch. The memory leak
could be exploited by an attacker in a Denial of Service attack through memory
exhaustion.

[1]: https://www.openssl.org/news/secadv_20150108.txt

Comment 1 Vincent Danen 2015-01-08 18:21:54 UTC
Upstream commit that looks to fix the problem:

https://github.com/openssl/openssl/commit/103b171d8fc282ef435f8de9afbf7782e312961f


External References:

https://www.openssl.org/news/secadv_20150108.txt

Comment 2 Huzaifa S. Sidhpurwala 2015-01-12 08:29:24 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1181013]

Comment 4 Fedora Update System 2015-01-13 00:02:32 UTC
openssl-1.0.1k-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Huzaifa S. Sidhpurwala 2015-01-16 04:14:56 UTC
Statement:

This issue does not affect the version of openssl and openssl097a as shipped with Red Hat Enterprise Linux 5. This issue does not affect the version of openssl098e as shipped with Red Hat Enterprise Linux 6 and 7.

Comment 6 Fedora Update System 2015-01-20 21:06:09 UTC
openssl-1.0.1e-41.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-01-21 21:29:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0066 https://rhn.redhat.com/errata/RHSA-2015-0066.html